---
layout: single
title: Privacy Policy
description: Find out more about your personal data and how it's being processed.
draft: false
collection: sections
menu: contentinfo
weight: 2
---

# Privacy Policy

## Introduction

Personal data (usually referred to just as "data" below) is any information related to you which by itself or in cumulation with other pieces of information gives the opportunity to the person that collects and processes such information to identify you as a person. It can be your name, your identification number, your location data, or information related to your physical, physiological, genetic, mental, economic, cultural or social life. Such data will only be processed by us to the extent necessary and for the purpose of providing a functional and user-friendly website, including its contents, and the services offered there. The party responsible for this website (the "controller") for purposes of data protection law can be found in the \[legal details]({{< relref "legal" >}}) page.

Per Art. 4 No. 1 of Regulation (EU) 2016 / 679, i.e. the General Data Protection Regulation (hereinafter referred to as the "GDPR"), "processing" refers to any operation or set of operations such as collection, recording, organization, structuring, storage, adaptation, alteration, retrieval, consultation, use, disclosure by transmission, dissemination, or otherwise making available, alignment, or combination, restriction, erasure, or destruction performed on personal data, whether by automated means or not.

The following privacy policy is intended to inform you in particular about the type, scope, purpose, duration, and legal basis for the processing of such data either under our own control or in conjunction with others. We also inform you below about the third-party components we use to optimize our website and improve the user experience which may result in said third parties also processing data they collect and control.

We recommend you to revisit these privacy policies regularly as they may change due to the continuous development of this website.

## Data Collection

The controller collects, processes and discloses your personal data to third parties only if it is permitted by law or if you explicitly allow it. Your data processed when using our website will be deleted or blocked as soon as the purpose for its storage ceases to apply, provided the deletion of the same is not in breach of any statutory storage obligations or unless otherwise stipulated below.

#### Contact

If you contact us via email or a contact form, the data you provide will be used for the purpose of processing your request. We must have this data in order to process and answer your inquiry; otherwise we will not be able to answer it in full or at all. The legal basis for this data processing is Art. 6 Para. 1 lit. b) GDPR.

Your data will be deleted once we have fully answered your inquiry and there is no further legal obligation to store your data, such as if an order or contract resulted therefrom.

### Rights Regarding Your Data

With regard to the data processing, users and data subjects have the right

* to confirmation of whether data concerning them is being processed, information about the data being processed, further information about the nature of the data processing, and copies of the data (cf. also Art. 15 GDPR)
* to correct or complete incorrect or incomplete data (cf. also Art. 16 GDPR)
* to the immediate deletion of data concerning them (cf. also Art. 17 DSGVO), or, alternatively, if further processing is necessary as stipulated in Art. 17 Para. 3 GDPR, to restrict said processing per Art. 18 GDPR
* to receive copies of the data concerning them and/or provided by them and to have the same transmitted to other providers/controllers (cf. also Art. 20 GDPR)
* to file complaints with the supervisory authority if they believe that data concerning them is being processed by the controller in breach of data protection provisions (see also Art. 77 GDPR)

The responsible authority is the data security officer of Lower Saxony. A list of data security officials and their contact information can be found on the following website: <https://www.bfdi.bund.de/DE/Infothek/Anschriften_Links/anschriften_links-node.html>

In addition, the controller is obliged to inform all recipients to whom it discloses data of any such corrections, deletions, or restrictions placed on processing the same per Art. 16, 17 Para. 1, 18 GDPR. However, this obligation does not apply if such notification is impossible or involves a disproportionate effort. Nevertheless, users have a right to information about these recipients.

Likewise, under Art. 21 GDPR, users and data subjects have the right to object to the controller's future processing of their data pursuant to Art. 6 Para. 1 lit. f) GDPR. In particular, an objection to data processing for the purpose of direct advertising is permissible.

## TLS and SSL

SSL and TLS are encryption protocols that ensure a fully secured communication for all data exchanged. These systems are widely used to ensure fully secured communications over the internet. When your connection is secure, your browser will show **https://** instead of **http://** in the address bar.

## Server Log Files

For technical reasons, the following data sent by your internet browser to us or to our server provider will be collected, especially to ensure a secure and stable website:

* Browser type and browser version
* Operating system
* Referrer URL
* Hostname of the accessing computer
* Date and time of your visit
* IP address

The data thus collected will be temporarily stored, but not in association with any other of your data. The basis for this storage is Art. 6 Para. 1 lit. f) GDPR. Our legitimate interest lies in the improvement, stability, functionality, and security of our website.
